## GMimeFilterHTML

GMimeFilterHTML — Convert plain text into HTML

## Functions

GMimeFilter * | g_mime_filter_html_new ()

## Types and Values

struct | GMimeFilterHTML
#define | GMIME_FILTER_HTML_PRE
#define | GMIME_FILTER_HTML_CONVERT_NL
#define | GMIME_FILTER_HTML_CONVERT_SPACES
#define | GMIME_FILTER_HTML_CONVERT_URLS
#define | GMIME_FILTER_HTML_MARK_CITATION
#define | GMIME_FILTER_HTML_BLOCKQUOTE_CITATION
#define | GMIME_FILTER_HTML_CONVERT_ADDRESSES
#define | GMIME_FILTER_HTML_ESCAPE_8BIT
#define | GMIME_FILTER_HTML_CITE

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterHTML

## Description

A GMimeFilter used for converting plain text into HTML.

## Functions

### g_mime_filter_html_new ()

    GMimeFilter *
    g_mime_filter_html_new (guint32 flags,
                            guint32 colour);

Creates a new GMimeFilterHTML filter which can be used to convert a plain UTF-8 text stream into an html stream.

#### Parameters

flags | html flags |
colour | citation colour |

#### Returns

a new html filter.

## Types and Values

### struct GMimeFilterHTML

    struct GMimeFilterHTML;

A filter for converting text/plain into text/html.

#### Members

### GMIME_FILTER_HTML_PRE

    #define GMIME_FILTER_HTML_PRE                 (1 << 0)

Wrap stream in <pre> and </pre> tags.

### GMIME_FILTER_HTML_CONVERT_NL

    #define GMIME_FILTER_HTML_CONVERT_NL          (1 << 1)

Convert new-lines ('\n') into <br> tags.

### GMIME_FILTER_HTML_CONVERT_SPACES

    #define GMIME_FILTER_HTML_CONVERT_SPACES      (1 << 2)

Preserve whitespace by converting spaces into their appropriate html entities.

### GMIME_FILTER_HTML_CONVERT_URLS

    #define GMIME_FILTER_HTML_CONVERT_URLS        (1 << 3)

Wrap detected URLs in <a href=...> tags.

### GMIME_FILTER_HTML_MARK_CITATION

    #define GMIME_FILTER_HTML_MARK_CITATION       (1 << 4)

Change the colour of citation text.

### GMIME_FILTER_HTML_BLOCKQUOTE_CITATION

    #define GMIME_FILTER_HTML_BLOCKQUOTE_CITATION (1 << 8)

Enclose citation text in blockquotes.

### GMIME_FILTER_HTML_CONVERT_ADDRESSES

    #define GMIME_FILTER_HTML_CONVERT_ADDRESSES   (1 << 5)

Wrap email addresses in "mailto:" href tags.

### GMIME_FILTER_HTML_ESCAPE_8BIT

    #define GMIME_FILTER_HTML_ESCAPE_8BIT         (1 << 6)

Converts 8bit characters to '?'.

### GMIME_FILTER_HTML_CITE

    #define GMIME_FILTER_HTML_CITE                (1 << 7)

Cites text by prepending "> " to each cited line.

## See Also

GMimeFilter